.fbo-file-upload
{
    position: relative;
    overflow: hidden;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
}

.fbo-file-upload input
{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    margin: 0;
    opacity: 0;
    -ms-filter: 'alpha(opacity=0)';
    font-size: 200px;
    direction: ltr;
    cursor: pointer;
}

/*.fbo-file-upload div is a button 'Start Upload File'*/
.fbo-file-upload div {overflow: hidden;}
.fbo-file-upload div span.ui-button-text {color: white; font-weight: normal;}
.fbo-file-upload div.ui-state-disabled input {cursor: default;}
.fbo-file-upload div.ui-state-disabled span.ui-button-text {color: #808080;}
.fbo-file-upload div.ui-state-disabled span {background: #e0e0e0;}
/*.fbo-file-upload div 
{
    border-radius:3px;
    font-size:100%;
    color: white;
    background: #8661c2;
    text-shadow: none;
    border: none;
}
.fbo-file-upload div:hover 
{
    background-color:#9671d2;
    background-image: none;
    text-shadow: none; 
    border: none;
}
.fbo-file-upload div:active 
{
    border: none;
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    -ms-box-shadow: none;
    -o-box-shadow: none;
    box-shadow: none;
}*/

.fbo-file-upload-bar
{
    position: relative;
    width: 100%; 
    height: 15px;
    background: #f8f8f8;
    border: 1px solid #b1b1b1;
    border-radius: 2px;
    overflow: hidden;
    opacity: 0;
    -ms-filter: 'alpha(opacity=0)';
}

.fbo-file-upload-progress
{
    position: absolute;
    top: 0; left: 0; width: 0; height: 100%;
    background: #b1b1b1;
}